/***************************************************************************
 * tabbendpoint.h
 *
 * This file is part of KGuitar, a KDE tabulature editor
 *
 * copyright (C) 2006- the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/
 
#ifndef TABBENDPOINT_H
#define TABBENDPOINT_H

#include <QObject>

#include "tabvibrato.h"

class TabBendPoint : public QObject
{
	Q_OBJECT
public:
	TabBendPoint();
	virtual ~TabBendPoint();
	
	virtual void clone(const TabBendPoint* point);
	
	virtual void setPosition(int i);
	virtual int position() const;
	
	virtual void setHeight(int i);
	virtual int height() const;
	
	virtual void setVibrato(TabVibrato t);
	virtual TabVibrato tabVibrato() const;
	
	virtual bool operator==(const TabBendPoint &) const;
	virtual bool operator!=(const TabBendPoint &) const;
	
signals:
	void bendPointChanged();
	
private:
	int mPosition;
	int mValue;
	TabVibrato mVibrato;
};

#endif
